- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Friends

# QDirectPainter Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qdirectpainter_qws.h.

`#include <qdirectpainter_qws.h>`

Inheritance diagram for QDirectPainter:
[legend]

List of all members.

## Public Types
enum | SurfaceFlag { NonReserved = 0, Reserved = 1, ReservedSynchronous = 3 }
## Public Member Functions
| QDirectPainter (QObject *parentObject=0, SurfaceFlag flag=NonReserved)
| ~QDirectPainter ()
void | setRegion (const QRegion &)
QRegion | requestedRegion () const
QRegion | allocatedRegion () const
void | setGeometry (const QRect &)
QRect | geometry () const
WId | winId () const
virtual void | regionChanged (const QRegion &exposedRegion)
void | startPainting (bool lockDisplay=true)
void | endPainting ()
void | endPainting (const QRegion &region)
void | flush (const QRegion &region)
void | raise ()
void | lower ()
## Static Public Member Functions
static QRegion | reserveRegion (const QRegion &)
static QRegion | reservedRegion ()
static QRegion | region ()
static uchar * | frameBuffer ()
static int | screenDepth ()
static int | screenWidth ()
static int | screenHeight ()
static int | linestep ()
static void | lock ()
static void | unlock ()
## Friends
void | qt_directpainter_region (QDirectPainter *dp, const QRegion &alloc, int type)
void | qt_directpainter_embedevent (QDirectPainter *, const QWSEmbedEvent *)

## Member Enumeration Documentation

enum SurfaceFlag

Search for all occurrences

Enumerator:

  NonReserved | Search for all occurrences
  Reserved | Search for all occurrences
  ReservedSynchronous | Search for all occurrences

Definition at line 63 of file qdirectpainter_qws.h.

                         { NonReserved = 0,
                           Reserved = 1,
                           ReservedSynchronous = 3 };

## Constructor & Destructor Documentation

QDirectPainter | ( | QObject * | parentObject = `0`,
|  | SurfaceFlag | flag = `NonReserved`
| ) |  | `[explicit]`

~QDirectPainter | ( |  | ) |

## Member Function Documentation

void setRegion | ( | const QRegion & |  | ) |

Search for all occurrences

QRegion requestedRegion | ( |  | ) | const

Search for all occurrences

QRegion allocatedRegion | ( |  | ) | const

Search for all occurrences

void setGeometry | ( | const QRect & |  | ) |

Search for all occurrences

QRect geometry | ( |  | ) | const

Search for all occurrences

WId winId | ( |  | ) | const

Search for all occurrences

virtual void regionChanged | ( | const QRegion & | exposedRegion | ) | `[virtual]`

Search for all occurrences

void startPainting | ( | bool | lockDisplay = `true` | ) |

Search for all occurrences

void endPainting | ( |  | ) |

Search for all occurrences

void endPainting | ( | const QRegion & | region | ) |

Search for all occurrences

void flush | ( | const QRegion & | region | ) |

Search for all occurrences

void raise | ( |  | ) |

Search for all occurrences

void lower | ( |  | ) |

Search for all occurrences

static QRegion reserveRegion | ( | const QRegion & |  | ) | `[static]`

Search for all occurrences

static QRegion reservedRegion | ( |  | ) | `[static]`

Search for all occurrences

static QRegion region | ( |  | ) | `[inline, static]`

Search for all occurrences

Definition at line 91 of file qdirectpainter_qws.h.

    { return reservedRegion(); }

static uchar* frameBuffer | ( |  | ) | `[static]`

Search for all occurrences

static int screenDepth | ( |  | ) | `[static]`

Search for all occurrences

static int screenWidth | ( |  | ) | `[static]`

Search for all occurrences

static int screenHeight | ( |  | ) | `[static]`

Search for all occurrences

static int linestep | ( |  | ) | `[static]`

Search for all occurrences

static void lock | ( |  | ) | `[static]`

Search for all occurrences

static void unlock | ( |  | ) | `[static]`

Search for all occurrences

## Friends And Related Function Documentation

void qt_directpainter_region | ( | QDirectPainter * | dp,
|  | const QRegion & | alloc,
|  | int | type
| ) |  | `[friend]`

Search for all occurrences

void qt_directpainter_embedevent | ( | QDirectPainter * | ,
|  | const QWSEmbedEvent * |
| ) |  | `[friend]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qdirectpainter_qws.h

QDirectPainter QDirectPainter QDirectPainter QDirectPainter QDirectPainter QDirectPainter QDirectPainter QDirectPainter QDirectPainter QDirectPainter
QDirectPainter QDirectPainter QDirectPainter QDirectPainter QDirectPainter QDirectPainter QDirectPainter QDirectPainter QDirectPainter QDirectPainter